const axios = require('axios');
export default {
    queryPageable(data, page, size, callback) {
        axios.post('/api/rules/filter/queryPageable/' + page + '/' + size, data).then((response) => {
            callback(response);
        })
    },
    deleteByIds(data, callback) {
        axios.post('/api/rules/filter/delete', data).then((response) => {
            callback(response);
        }).catch((error) => {
            console.log(error)
        })
    },
    update(data, callback) {
        axios.post('/api/rules/filter/update', data).then((response) => {
            callback(response);
        }).catch((error) => {
            console.log(error)
        })
    },
    add(data, callback) {
        axios.post('/api/rules/filter/add', data).then((response) => {
            callback(response);
        }).catch((error) => {
            console.log(error)
        })
    },

}